Bug 142096 - 3 * compile time problems
3 * compile time problems
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 05:34 EST by David Binderman
Modified: 2013-03-13 00:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:11:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-12-07 05:34:53 EST
Description of problem:

I just tried to compile package gstreamer-plugins-0.8.5-1 from 
Redhat Fedora Core 3.

The compiler said

1.

gstdice.c(241): remark #592: variable "filter" is used before its
value is set

The source code is

  GstDiceTV *filter;
  guint32 *src;
  guint32 *dest;
  gint i;
  gint map_x, map_y, map_i;
  gint base;
  gint dx, dy, di;
  gint video_width = filter->width;

This code will never work. Suggest code re-work.

2.

ximagesink.c(203): warning #267: the format string requires additional
arguments

The source code is

      GST_ELEMENT_ERROR (ximagesink, RESOURCE, WRITE, (NULL),
          ("could not XShmCreateImage a %dx%d image"));

Two %d parameters, no trailing parameters to match. Suggest code re-work.

3.

ximagesink.c(247): warning #267: the format string requires additional
arguments
xvimagesink.c(215): warning #267: the format string requires
additional arguments
xvimagesink.c(256): warning #267: the format string requires
additional arguments

Duplicates.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Miller 2006-07-10 18:38:44 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-11-05 11:11:59 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.